#### D.3.2.4 sym_gauss

Procedure from library `linalg.lib` (see linalg_lib).

Usage:
  sym_gauss(A); A = symmetric matrix

Return:
  matrix, diagonalisation of A with symmetric gauss algorithm

Example:

    LIB "linalg.lib";
    ring r=0,(x),lp;
    matrix A[2][2]=1,4,4,15;
    print(A);
    ==> 1,4,
    ==> 4,15
    print(sym_gauss(A));
    ==> 1,0,
    ==> 0,-1

User manual for Singular version 4.4.1, 2025, generated by texi2html.